"""This file is autogenerated according to HCA api spec. Don't modify."""
from ...added_command import AddedCommand

class GetFiles(AddedCommand):
    """Class containing info to reach the get endpoint of files."""

    @classmethod
    def _get_base_url(cls):
        return "https://hca-dss.czi.technology/v1"

    @classmethod
    def _get_endpoint_info(cls):
        return {'seen': False, 'body_params': {}, 'positional': [{'argument': 'uuid', 'required': True, 'required_for': ['/files/{uuid}'], 'description': 'A RFC4122-compliant ID for the file.', 'type': 'string', 'format': None, 'pattern': '[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}'}], 'options': {'replica': {'array': False, 'required': False, 'required_for': [], 'description': 'Replica to fetch from.', 'type': 'string', 'format': None, 'pattern': None, 'metavar': None, 'in': 'query', 'hierarchy': ['replica']}, 'version': {'array': False, 'required': False, 'required_for': [], 'description': 'Timestamp of file creation in RFC3339.  If this is not provided, the latest version is returned.', 'type': 'string', 'format': 'date-time', 'pattern': None, 'metavar': None, 'in': 'query', 'hierarchy': ['version']}}, 'requires_auth': False, 'description': 'Given a file UUID, return the latest version of that file.  If the version is provided, that version of the file\nis returned instead.\n\nHeaders will contain the data store metadata for the file.\n\nThis endpoint will do a HTTP redirect to another HTTP endpoint with the file contents.\n'}
