"""This file is autogenerated according to HCA api spec. Don't modify."""
from ...added_command import AddedCommand

class PutBundles(AddedCommand):
    """Class containing info to reach the get endpoint of files."""

    @classmethod
    def _get_base_url(cls):
        return "https://hca-dss.czi.technology/v1"

    @classmethod
    def _get_endpoint_info(cls):
        return {'seen': False, 'body_params': {'creator_uid': {'description': 'User ID who is creating this bundle.', 'format': 'int64', 'type': 'integer', 'name': 'creator_uid', 'req': True, 'in': 'body', 'array': False, 'hierarchy': ['creator_uid']}, 'files': {'items': {'properties': {'indexed': {'description': 'True iff this file should be indexed.', 'type': 'boolean', 'name': 'indexed', 'req': True, 'in': 'body'}, 'name': {'description': 'Name of the file.', 'pattern': '^[^/\\\\]+$', 'type': 'string', 'name': 'name', 'req': True, 'in': 'body'}, 'uuid': {'description': 'A RFC4122-compliant ID for the file.', 'pattern': '[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}', 'type': 'string', 'name': 'uuid', 'req': True, 'in': 'body'}, 'version': {'description': 'Timestamp of file creation in RFC3339.', 'format': 'date-time', 'type': 'string', 'name': 'version', 'req': True, 'in': 'body'}}, 'required': ['uuid', 'version', 'name', 'indexed'], 'type': 'object', 'name': 'files', 'req': True, 'in': 'body'}, 'type': 'array', 'name': 'files', 'req': True, 'in': 'body'}}, 'positional': [{'argument': 'uuid', 'required': True, 'required_for': ['/bundles/{uuid}'], 'description': 'A RFC4122-compliant ID for the bundle.', 'type': 'string', 'format': None, 'pattern': '[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}'}], 'options': {'version': {'array': False, 'required': False, 'required_for': [], 'description': 'Timestamp of bundle creation in RFC3339.', 'type': 'string', 'format': 'date-time', 'pattern': None, 'metavar': None, 'in': 'query', 'hierarchy': ['version']}, 'replica': {'array': False, 'required': True, 'required_for': ['/bundles/{uuid}'], 'description': 'Replica to write to.', 'type': 'string', 'format': None, 'pattern': None, 'metavar': None, 'in': 'query', 'hierarchy': ['replica']}, 'creator_uid': {'array': False, 'required': True, 'required_for': ['/bundles/{uuid}'], 'description': 'User ID who is creating this bundle.', 'type': 'integer', 'format': 'int64', 'pattern': None, 'metavar': None, 'in': 'body', 'hierarchy': ['creator_uid']}, 'files': {'array': True, 'required': True, 'required_for': ['/bundles/{uuid}'], 'description': '\nindexed: True iff this file should be indexed.\nname: Name of the file.\nuuid: A RFC4122-compliant ID for the file.\nversion: Timestamp of file creation in RFC3339.', 'type': 'string', 'format': None, 'pattern': None, 'metavar': 'INDEXED/NAME/UUID/VERSION', 'in': 'body', 'hierarchy': ['files', [('indexed', 'boolean'), ('name', 'string'), ('uuid', 'string'), ('version', 'string')]]}}, 'requires_auth': False, 'description': 'Create a new version of a bundle with a given UUID.  The list of file UUID+versions to be included must be\nprovided.\n'}
